[Pkg-nagios-changes] [pkg-nagios-plugins] 134/413: fix processing via embedded perl of check_disk_smb

Jan Wagner waja at moszumanska.debian.org
Tue Nov 26 23:13:15 UTC 2013


This is an automated email from the git hooks/post-receive script.

waja pushed a commit to branch master
in repository pkg-nagios-plugins.

commit 31be3d3d4405e2e709273faa798a31dbd96ff060
Author: Jan Wagner <waja at cyconet.org>
Date:   Fri Jun 6 10:03:40 2008 +0000

    fix processing via embedded perl of check_disk_smb
---
 debian/changelog                                |  2 ++
 debian/patches/00list                           |  1 +
 debian/patches/33_fix_emb_check_disk_smb.dpatch | 44 +++++++++++++++++++++++++
 3 files changed, 47 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 46e2b1c..22b3c7c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -24,6 +24,8 @@ nagios-plugins (1.4.12-1) UNRELEASED; urgency=low
   * include list of files which are GPL3 into copyright
   * build depend on libradiusclient-ng-dev instead of libradius1-dev (for more
     informations see REQUIREMENTS)
+  * add 33_fix_emb_check_disk_smb.dpatch which fixes processing via embedded
+    perl of check_disk_smb (Closes: #478906)
 
   [ Alexander Wirt ]
   * Call smbclient with -N (supress password prompt) if no password is
diff --git a/debian/patches/00list b/debian/patches/00list
index da8a457..df3ef67 100644
--- a/debian/patches/00list
+++ b/debian/patches/00list
@@ -7,4 +7,5 @@
 26_implicit-basename.dpatch
 27_check_radius_segfault.dpatch
 32_check_ldap_pointer.dpatch
+33_fix_emb_check_disk_smb.dpatch
 50_misc_typos.dpatch
diff --git a/debian/patches/33_fix_emb_check_disk_smb.dpatch b/debian/patches/33_fix_emb_check_disk_smb.dpatch
new file mode 100644
index 0000000..2713e64
--- /dev/null
+++ b/debian/patches/33_fix_emb_check_disk_smb.dpatch
@@ -0,0 +1,44 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 32_check_ldap_pointer.dpatch by Jan Wagner <waja at cyconet.org>
+## patch provided by Stephane Chazelas <stephane at artesyncp.com>
+##
+## DP: fix processing vi embedded perl interpreter
+
+ at DPATCH@
+diff -urNad nagios-plugins-1.4.12~/plugins-scripts/check_disk_smb.pl nagios-plugins-1.4.12/plugins-scripts/check_disk_smb.pl
+--- nagios-plugins-1.4.12~/plugins-scripts/check_disk_smb.pl	2008-06-06 11:57:33.000000000 +0200
++++ nagios-plugins-1.4.12/plugins-scripts/check_disk_smb.pl	2008-06-06 11:58:03.000000000 +0200
+@@ -65,27 +65,27 @@
+ 
+ # Options checking
+ 
+-($opt_H) || ($opt_H = shift) || usage("Host name not specified\n");
++($opt_H) || ($opt_H = shift @ARGV) || usage("Host name not specified\n");
+ my $host = $1 if ($opt_H =~ /^([-_.A-Za-z0-9 ]+\$?)$/);
+ ($host) || usage("Invalid host: $opt_H\n");
+ 
+-($opt_s) || ($opt_s = shift) || usage("Share volume not specified\n");
++($opt_s) || ($opt_s = shift @ARGV) || usage("Share volume not specified\n");
+ my $share = $1 if ($opt_s =~ /^([-_.A-Za-z0-9]+\$?)$/);
+ ($share) || usage("Invalid share: $opt_s\n");
+ 
+-($opt_u) || ($opt_u = shift) || ($opt_u = "guest");
++($opt_u) || ($opt_u = shift @ARGV) || ($opt_u = "guest");
+ my $user = $1 if ($opt_u =~ /^([-_.A-Za-z0-9\\]+)$/);
+ ($user) || usage("Invalid user: $opt_u\n");
+ 
+-($opt_p) || ($opt_p = shift) || ($opt_p = "");
++($opt_p) || ($opt_p = shift @ARGV) || ($opt_p = "");
+ my $pass = $1 if ($opt_p =~ /(.*)/);
+ $pass = "-N" if ($opt_p eq "");
+ 
+-($opt_w) || ($opt_w = shift) || ($opt_w = 85);
++($opt_w) || ($opt_w = shift @ARGV) || ($opt_w = 85);
+ my $warn = $1 if ($opt_w =~ /^([0-9]{1,2}\%?|100\%?|[0-9]+[kMG])$/);
+ ($warn) || usage("Invalid warning threshold: $opt_w\n");
+ 
+-($opt_c) || ($opt_c = shift) || ($opt_c = 95);
++($opt_c) || ($opt_c = shift @ARGV) || ($opt_c = 95);
+ my $crit = $1 if ($opt_c =~ /^([0-9]{1,2}\%?|100\%?|[0-9]+[kMG])$/);
+ ($crit) || usage("Invalid critical threshold: $opt_c\n");
+ 

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-nagios/pkg-nagios-plugins.git



More information about the Pkg-nagios-changes mailing list